#
# spec file for package libsearpc
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# See also http://en.opensuse.org/openSUSE:Shared_library_packaging_policy

Name:           libsearpc1
Version:        3.1
Release:        1.1
Summary:        Simple C language RPC framework based on GObject system

License:        Apache-2.0
Group:          System/Libraries
Url:            https://github.com/haiwen/libsearpc/
Source0:        https://github.com/haiwen/libsearpc/archive/v%{version}-latest.tar.gz
Patch0:         01-fix-includes.patch

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  glib2-devel
%if 0%{?fedora_version} || 0%{?rhel_version} || 0%{?centos_version}
BuildRequires:  jansson-devel
%else
BuildRequires:  libgobject-2_0-0
BuildRequires:  libjansson-devel
%endif
BuildRequires:  libtool
BuildRequires:  pkg-config
BuildRequires:  python-devel

BuildRoot:     %{_tmppath}/%{name}-%{version}-build

%description
Searpc is a simple C language RPC framework based on GObject system. Searpc handles the serialization/deserialization part of RPC, the transport part is left to users.

The serialization/deserialization uses JSON format via json-glib library. A serialized json object is returned from server to client after executing the RPC function. Each RPC function defined in the server side should take an extra GError argument to report error.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        -n python-pysearpc
Summary:        Python files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}

%description    -n python-pysearpc
The python-pysearpc package contains python files to make use of %{name}.

%prep
%setup -q -n libsearpc-%{version}-latest
%patch0 -p1

%build
./autogen.sh
%configure --disable-static
make %{?_smp_mflags}
sed -i -e 's#^prefix.*#prefix=/usr#g' libsearpc.pc

%install
make install DESTDIR=%{buildroot}
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libsearpc.pc
%{_bindir}/searpc-codegen.py

%files -n python-pysearpc
%defattr(-,root,root,-)
%doc
# For noarch packages: sitelib
%{python_sitearch}/

%changelog
* Wed Mar 28 2018 christoph@stop.pe
- Fixed build errors on CentOS 7
* Sat Feb 25 2017 christoph@stop.pe
- Updated source link to official github.com release page
* Sat Sep 24 2016 christoph@stop.pe
- Moved code generation script to devel package
* Sat Sep 24 2016 christoph@stop.pe
- Fix and added libsearpc.pc to devel package
* Sat Sep 24 2016 christoph@stop.pe
- Initial packaging
